﻿

Module Module1

    Sub Main()

        'Create variable to hold the COM port number
        Dim PortNumber As Byte
        Dim CommsMode As Byte = 1  '0 = Bluetooth or Serial / 1=WIFI Network 

        If (CommsMode.Equals(0)) Then
            PortNumber = 3              'Remember to change this to match your MIAC AllCode port number
            MA_ComOpen(PortNumber)      'Open Port
        Else
            PortNumber = 0                              'Remember to change this to match your MIAC AllCode network interface
            MA_IPOpen(PortNumber, 192, 168, 1, 31)      'Open Port
        End If

        System.Threading.Thread.Sleep(1000)

        MA_WriteRelay(PortNumber, 1, 1)     'Relay 1 On
        System.Threading.Thread.Sleep(500)
        MA_WriteRelay(PortNumber, 2, 1)     'Relay 2 On
        System.Threading.Thread.Sleep(500)
        MA_WriteRelay(PortNumber, 3, 1)     'Relay 3 On
        System.Threading.Thread.Sleep(500)
        MA_WriteRelay(PortNumber, 4, 1)     'Relay 4 On
        System.Threading.Thread.Sleep(500)

        MA_WriteRelay(PortNumber, 1, 0)     'Relay 1 Off
        System.Threading.Thread.Sleep(500)
        MA_WriteRelay(PortNumber, 2, 0)     'Relay 2 Off
        System.Threading.Thread.Sleep(500)
        MA_WriteRelay(PortNumber, 3, 0)     'Relay 3 Off
        System.Threading.Thread.Sleep(500)
        MA_WriteRelay(PortNumber, 4, 0)     'Relay 4 Off
        System.Threading.Thread.Sleep(500)

        If (CommsMode.Equals(0)) Then
            MA_ComClose(PortNumber)         'Close Port
        Else
            MA_IPClose(PortNumber)         'Close Port
        End If

    End Sub

End Module
